Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest Class Referenceabstract
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest:
[legend]

## Protected Member Functions
| BaseVsBuildTest (string testName, string buildFileExtension, VisualStudio.SlnType slnType, Version maxVersion, string[] specialExtension)
override JobQueue | GetJobs ()
override bool | BuildJob (Job job)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseMsBuildBuildTest
| BaseMsBuildBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
bool | BuildMsBuild (string msbuild, MsBuildJob job)
bool | BuildMsBuild (string msbuild, MsBuildJob job, string additionalParameters)
string | BuildMsBuild (string msbuild, string fileName, string configuration)
string | BuildMsBuild (string msbuild, string fileName, string configuration, string additionalParameters)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Properties
VisualStudio.SlnType | SlnType`[get]`
Version | MaxVersion`[get]`
string[] | SpecialExtensions`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Private Member Functions
string | GetMsBuildPath (string fileName, VisualStudio.SlnType slnType, Version maxVersion, string[] specialExtensions)

## Static Private Member Functions
static string | GetMsBuildPathByYear (params string[] years)
static string | GetMsBuildPath (VisualStudio.SlnType type)
static string | GetMsBuildPath (string fileName)

## Additional Inherited Members
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Constructor & Destructor Documentation

## ◆ BaseVsBuildTest()

Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.BaseVsBuildTest | ( | string | testName,
|  | string | buildFileExtension,
|  | VisualStudio.SlnType | slnType,
|  | Version | maxVersion,
|  | string[] | specialExtension )
| protected

## Member Function Documentation

## ◆ BuildJob()

override bool Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.BuildJob | ( | Job | job | ) |
| protected

Here is the call graph for this function:

## ◆ GetJobs()

override JobQueue Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.GetJobs | ( |  | ) |
| protected virtual

Reimplemented from Zwipe.Test.Tools.Tests.Build.BaseBuildTest.

Here is the call graph for this function:

## ◆ GetMsBuildPath() [1/3]

string Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.GetMsBuildPath | ( | string | fileName | ) |
| static private

Here is the call graph for this function:

## ◆ GetMsBuildPath() [2/3]

string Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.GetMsBuildPath | ( | string | fileName,
|  | VisualStudio.SlnType | slnType,
|  | Version | maxVersion,
|  | string[] | specialExtensions )
| private

Here is the call graph for this function:

## ◆ GetMsBuildPath() [3/3]

string Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.GetMsBuildPath | ( | VisualStudio.SlnType | type | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetMsBuildPathByYear()

string Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.GetMsBuildPathByYear | ( | params string[] | years | ) |
| static private

Here is the caller graph for this function:

## Property Documentation

## ◆ MaxVersion

Version Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.MaxVersion
| get

## ◆ SlnType

VisualStudio.SlnType Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.SlnType
| get

## ◆ SpecialExtensions

string [] Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.SpecialExtensions
| get

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/BaseVsBuildTest.cs